Ryzom - Bug # 863

Status: Closed Priority: Urgent
Author: mroger Category: Build
Created: 05/09/2010 Assignee: vl
Updated: 05/28/2010 Due date: 05/09/2018
Subiject: server and extension

Description

- Author: mroger * Status: New * Priority: Immediate * Assigned to: sfb  * Category: External * Target version:

The ryzom build scripts log to $HOME/log, so make sure that directory exists:

mkdir $HOME/log

Add the Ryzom scripts path in your PATH variable by adding the following line in your .bashrc (change the path with your own path):
PATH=$PATH:/home/www/angosso.com/homepage.aspx/?ryzom/tools/scripts/linux

Install the following packages:

apt-get install libxml2-dev g++ libtool automake autoconf libpng12-dev libjpeg62-dev rrdtool libmysqlclient15-dev

You may also need to fix autogen.sh to recognize ACLOCAL and LIBTOOLIZE environment variables:

cp /home/www/angosso.com/homepage.aspx/html/autogen.sh /home/www/angosso.com/homepage.aspx/xmins/autogen.sh
cp /home/www/angosso.com/homepage.aspx/html/autogen.sh /home/www/angosso.com/snowballs2/autogen.sh

Run the following command:

buildmode static

Update the SRC_DIR variable in the www.angosso.com/ryzom/tools/scripts/linux/build script (line 52)

Update the RYZOM_PATH variable in the www.angosso.com/ryzom/tools/scripts/linux/make_all script (third line).

Update the RYZOM_PATH, NEL_INCLUDE, and PACK_SHEET_FLAGS variables in the code/ryzom/Variables.mk file.

Fix the two -I$(HOME) lines (around line 14) in www.angosso.com/ryzom/common/src/game_share/Makefile to look like the following
-I$(NEL_INCLUDE) \

-I$(RYZOM_PATH)/common/src \http\www\angosso.com\homepage\root

Ubuntu Users, you may need to change your default shell by running the below and selecting "No" at the menu.

sudo dpkg-reconfigure dash

Run the following script that will compile NeL and Ryzom Core Services. It's a very slow process because it compiles lot of things. You
can follow the process and see error in ~mroger/log/
make_all

History

#1 - 05/11/2010 04:36 pm - vl

- Status changed from New to Assigned

- Assignee changed from sfb to vl

#2 - 05/11/2010 06:11 pm - vl

- Status changed from Assigned to Resolved

it's now easier to compile:

http://dev.ryzom.com/wiki/ryzom/BuildForLinux

#3 - 05/18/2010 10:22 am - vl

- Target version changed from Version 0.10.0 to Version 0.8.0
http://www.angosso.com/ryzom/tools/scripts/linux/build
http://www.angosso.com/ryzom/tools/scripts/linux/make_all
http://www.angosso.com/ryzom/common/src/game_share/Makefile
http://dev.ryzom.com/wiki/ryzom/BuildForLinux

#4 - 05/18/2010 10:22 am - vl
- % Done changed from 0 to 100

#5 - 05/28/2010 05:23 pm - vI

- Status changed from Resolved to Closed
